# Integrate FastAPI Framework with Next.js and Deploy

In this article, you will learn how to seamlessly integrate a FastAPI project into your Next.js application and deploy the entire project on Vercel. But that's not all! We won't stop at integration; we will take it a step further by building a simple Todo application.

![Integrate FastAPI Framework with Next.js and Deploy](https://codevoweb.com/wp-content/uploads/2023/06/Integrate-FastAPI-Framework-with-Next.js-and-Deploy.webp)

## Topics Covered

- Running the FastAPI and Next.js Projects
- Setup the FastAPI and Next.js Projects
    - Bootstrap the Next.js Project
    - Setup the FastAPI Project
    - Proxy Requests from Next.js to the FastAPI App
    - Run the Projects in Development
- Deploy the Projects to Vercel
- Create a CRUD API with FastAPI
- Create a CRUD App with Next.js
    - Manage the Application State with Zustand
    - Create the Todo Form Component
    - Create the Todo Item Component
    - Render the Components in a Page File
- Re-deploy the Project to Vercel
- Conclusion

Read the entire article here: [https://codevoweb.com/integrate-fastapi-framework-with-nextjs-and-deploy/](https://codevoweb.com/integrate-fastapi-framework-with-nextjs-and-deploy/)
